"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPDFOptionsFromURL = void 0;
// Allow setting the more esoteric PDF options via URL parameters 
function getPDFOptionsFromURL(url) {
    const urlParams = new URLSearchParams(url);
    return {
        landscape: urlParams.get('pdf.landscape') !== 'false',
        format: urlParams.get('pdf.format') ?? 'A4',
        omitBackground: urlParams.get('pdf.omitBackground') === 'true',
        printBackground: urlParams.get('pdf.printBackground') !== 'false',
        pageRanges: urlParams.get('pdf.pageRanges') ?? undefined,
    };
}
exports.getPDFOptionsFromURL = getPDFOptionsFromURL;
//# sourceMappingURL=pdf.js.map