"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.populatePluginConfigFromEnv = exports.defaultPluginConfig = void 0;
const rendering_1 = require("../../config/rendering");
exports.defaultPluginConfig = {
    plugin: {
        grpc: {
            host: '127.0.0.1',
            port: 0,
        },
        security: {
            authToken: '-',
        },
    },
    rendering: rendering_1.defaultRenderingConfig,
};
function populatePluginConfigFromEnv(config, env) {
    if (env['GF_PLUGIN_GRPC_HOST']) {
        config.plugin.grpc.host = env['GF_PLUGIN_GRPC_HOST'];
    }
    if (env['GF_PLUGIN_GRPC_PORT']) {
        config.plugin.grpc.port = parseInt(env['GF_PLUGIN_GRPC_PORT'], 10);
    }
    if (env['GF_PLUGIN_AUTH_TOKEN']) {
        const authToken = env['GF_PLUGIN_AUTH_TOKEN'];
        config.plugin.security.authToken = authToken.includes(' ') ? authToken.split(' ') : authToken;
    }
    (0, rendering_1.populateRenderingConfigFromEnv)(config.rendering, env, rendering_1.Mode.Plugin);
}
exports.populatePluginConfigFromEnv = populatePluginConfigFromEnv;
//# sourceMappingURL=config.js.map